main.floors.MT48=
{
    "floorId": "MT48",
    "title": "魔塔 第48层",
    "name": "第 48 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,  0, 32,  0,  1,  0,  0, 31, 31, 31,  0,  0,  1],
    [  1,  0,  0,121,  1, 82,  1,  1,  1,  1,  1, 82,  1],
    [  1,  0,220,  0,  1,  0,  1,246,  1,246,  1,  0,  1],
    [  1,  1, 82,  1,  1,  0,  0,  0,  0,  0,  0,  0,  1],
    [  1,  0,  0,204,  0,  0,  1,246,  1,246,  1,  0,  1],
    [  1,  0,  1,  1, 81,  1,  1,  1,  1,  1,  1,  0,  1],
    [  1,207,  1,  0,219,  0,  1,  0,  0,  0,219,  0,  1],
    [  1,  0,  1, 27,  0, 31,  1,  1, 85,  1,  1,  0,  1],
    [  1,219,  1,  1, 81,  1,  1,  0,246,  0,  1,  0,  1],
    [  1,  0,  1,  0,228,  0,  1,  0, 41,  0,  1,  0,  1],
    [  1, 87,  1, 28,  0, 32,  1,  0,  0,  0,  1, 88,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 5,
    "defaultGround": "ground",
    "bgm": "section5.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "8,9": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                "\t[魔法警卫,whiteKing]我不小心把自己反锁在门里面 给我一个对称飞 我把圣剑送给你",
                {
                    "type": "if",
                    "condition": "core.hasItem(\"centerFly\")",
                    "true": [
                        {
                            "type": "confirm",
                            "text": "确认要送出对称飞吗?",
                            "yes": [
                                {
                                    "type": "setValue",
                                    "name": "item:centerFly",
                                    "operator": "-=",
                                    "value": "1"
                                },
                                "\t[魔法警卫,whiteKing]谢谢你 我要去申请工伤 下班回家了",
                                {
                                    "type": "move",
                                    "loc": [
                                        8,
                                        9
                                    ],
                                    "time": 300,
                                    "keep": true,
                                    "steps": [
                                        "right:1"
                                    ]
                                },
                                {
                                    "type": "move",
                                    "loc": [
                                        9,
                                        9
                                    ],
                                    "time": 300,
                                    "keep": true,
                                    "steps": [
                                        "down:2"
                                    ]
                                },
                                {
                                    "type": "jump",
                                    "from": [
                                        9,
                                        11
                                    ],
                                    "to": [
                                        3,
                                        1
                                    ],
                                    "time": 500,
                                    "keep": true
                                },
                                {
                                    "type": "if",
                                    "condition": "(flag:talk!==1)",
                                    "true": [
                                        "\t[魔法警卫,whiteKing]就是你个老登到处和人说没有魔法警卫 导致没有人来开门找我的？",
                                        {
                                            "type": "animate",
                                            "name": "thunder",
                                            "loc": [
                                                3,
                                                2
                                            ]
                                        },
                                        {
                                            "type": "hide",
                                            "loc": [
                                                [
                                                    3,
                                                    2
                                                ]
                                            ],
                                            "remove": true,
                                            "time": 500
                                        },
                                        {
                                            "type": "openDoor",
                                            "loc": [
                                                8,
                                                8
                                            ]
                                        },
                                        {
                                            "type": "hide",
                                            "loc": [
                                                [
                                                    3,
                                                    1
                                                ]
                                            ],
                                            "remove": true,
                                            "time": 500
                                        }
                                    ],
                                    "false": [
                                        {
                                            "type": "openDoor",
                                            "loc": [
                                                8,
                                                8
                                            ]
                                        },
                                        {
                                            "type": "hide",
                                            "loc": [
                                                [
                                                    3,
                                                    1
                                                ]
                                            ],
                                            "remove": true,
                                            "time": 500
                                        }
                                    ]
                                }
                            ],
                            "no": [
                                "\t[魔法警卫,whiteKing]既然如此那就只有一个人能活着出去",
                                {
                                    "type": "battle",
                                    "loc": [
                                        8,
                                        9
                                    ]
                                }
                            ]
                        }
                    ],
                    "false": [
                        "\t[魔法警卫,whiteKing]你也出不去了？",
                        "\t[魔法警卫,whiteKing]既然如此那就只有一个人能活着出去",
                        {
                            "type": "battle",
                            "loc": [
                                8,
                                9
                            ]
                        }
                    ]
                }
            ]
        }
    },
    "changeFloor": {},
    "afterBattle": {
        "8,9": [
            {
                "type": "openDoor",
                "loc": [
                    8,
                    8
                ]
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "fgmap": [

],
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "upFloor": [
        1,
        10
    ],
    "downFloor": [
        11,
        10
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}